Bug 1262825 - [abrt] plasma-workspace: QXcbConnection::sendConnectionEvent(): ksplashqml killed by SIGSEGV
[abrt] plasma-workspace: QXcbConnection::sendConnectionEvent(): ksplashqml ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:76a4f57f4260d437e09e686d9b6...
:
: 1266268 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 08:26 EDT by Allan Poulsen
Modified: 2016-07-19 13:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:53:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.30 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: core_backtrace (2.97 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: dso_list (17.17 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: environ (1.82 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: maps (79.72 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: mountinfo (3.73 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: open_fds (743 bytes, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details
File: var_log_messages (304 bytes, text/plain)
2015-09-14 08:26 EDT, Allan Poulsen
no flags Details

  None (edit)
Description Allan Poulsen 2015-09-14 08:26:30 EDT
Description of problem:
Having added 3 screens to my laptops docking station kde (Xserver?) crashes hard on login when setting up desktop.
Having on my laptops own screen mitigates this, but no other screen/desktop will show.

Version-Release number of selected component:
plasma-workspace-5.3.2-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        ksplashqml org.kde.breeze.desktop --pid
crash_function: QXcbConnection::sendConnectionEvent
executable:     /usr/bin/ksplashqml
global_pid:     2533
kernel:         4.1.5-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 QXcbConnection::sendConnectionEvent at qxcbconnection.cpp:1260
 #1 QXcbConnection::~QXcbConnection at qxcbconnection.cpp:573
 #3 qDeleteAll<QList<QXcbConnection*>::const_iterator> at ../../../../src/corelib/tools/qalgorithms.h:317
 #4 qDeleteAll<QList<QXcbConnection*> > at ../../../../src/corelib/tools/qalgorithms.h:325
 #5 QXcbIntegration::~QXcbIntegration at qxcbintegration.cpp:190
 #7 QGuiApplicationPrivate::~QGuiApplicationPrivate at kernel/qguiapplication.cpp:1391
 #9 cleanup at ../../src/corelib/tools/qscopedpointer.h:54
 #10 ~QScopedPointer at ../../src/corelib/tools/qscopedpointer.h:101
 #11 QObject::~QObject at kernel/qobject.cpp:883
Comment 1 Allan Poulsen 2015-09-14 08:26:33 EDT
Created attachment 1073220 [details]
File: backtrace
Comment 2 Allan Poulsen 2015-09-14 08:26:35 EDT
Created attachment 1073221 [details]
File: cgroup
Comment 3 Allan Poulsen 2015-09-14 08:26:36 EDT
Created attachment 1073222 [details]
File: core_backtrace
Comment 4 Allan Poulsen 2015-09-14 08:26:37 EDT
Created attachment 1073223 [details]
File: dso_list
Comment 5 Allan Poulsen 2015-09-14 08:26:38 EDT
Created attachment 1073224 [details]
File: environ
Comment 6 Allan Poulsen 2015-09-14 08:26:40 EDT
Created attachment 1073225 [details]
File: limits
Comment 7 Allan Poulsen 2015-09-14 08:26:41 EDT
Created attachment 1073226 [details]
File: maps
Comment 8 Allan Poulsen 2015-09-14 08:26:43 EDT
Created attachment 1073227 [details]
File: mountinfo
Comment 9 Allan Poulsen 2015-09-14 08:26:44 EDT
Created attachment 1073228 [details]
File: namespaces
Comment 10 Allan Poulsen 2015-09-14 08:26:45 EDT
Created attachment 1073229 [details]
File: open_fds
Comment 11 Allan Poulsen 2015-09-14 08:26:46 EDT
Created attachment 1073230 [details]
File: proc_pid_status
Comment 12 Allan Poulsen 2015-09-14 08:26:47 EDT
Created attachment 1073231 [details]
File: var_log_messages
Comment 13 Miroslav Suchý 2015-09-15 05:54:41 EDT
I have the same problem.

dmesg showns:
[  476.487421] kactivitymanage[4160]: segfault at 7f365f646cf0 ip 000000350a814731 sp 00007ffff1819588 error 4 in libQt5Sql.so.5.5.0[350a800000+3f000]
[  483.382856] kscreen_backend[5349]: segfault at 10 ip 00007fd6cbbe4e10 sp 00007ffd17f24e08 error 4 in KSC_XRandR.so[7fd6cbbcf000+24000]
[  483.489598] traps: ksplashqml[5283] general protection ip:7fedc9c21db3 sp:7fff25f191d8 error:0 in libQt5XcbQpa.so.5.5.0[7fedc9beb000+df000]
[  497.994021] [drm:si_dpm_set_power_state [radeon]] *ERROR* si_restrict_performance_levels_before_switch failed
[  787.357516] kactivitymanage[5335]: segfault at 7fe8d3bc3cf0 ip 000000350a814731 sp 00007ffc0b6a2748 error 4 in libQt5Sql.so.5.5.0[350a800000+3f000]
[  793.204771] kscreen_backend[6937]: segfault at 10 ip 00007fa319167e10 sp 00007ffd87b49f48 error 4 in KSC_XRandR.so[7fa319152000+24000]
[  793.312131] traps: ksplashqml[6864] general protection ip:7f734be7ddb3 sp:7fff1b77d5d8 error:0 in libQt5XcbQpa.so.5.5.0[7f734be47000+df000]
[  917.161307] kactivitymanage[6922]: segfault at 7f3c0d59ccf0 ip 000000350a814731 sp 00007ffee3960cc8 error 4 in libQt5Sql.so.5.5.0[350a800000+3f000]

]$ lspci |grep VGA
0f:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde PRO [Radeon HD 7750/8740 / R7 250E]
Comment 14 Kevin Kofler 2015-09-24 20:35:37 EDT
*** Bug 1266268 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2016-07-19 13:53:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.